package com.saye.hospitalgd.mapper;

import org.apache.ibatis.annotations.Mapper;

import java.util.HashMap;
import java.util.List;

@Mapper
public interface HisDetailMapper {

    List<HashMap<Object, Object>> findHisDetail(HashMap<Object, Object> map) throws Exception;

    long findHisDetailCount(HashMap<Object, Object> map) throws Exception;

    void deleteHisBillOriginalByParam(HashMap<Object, Object> deleteMap) throws Exception;

    void deleteHisBillByParam(HashMap<Object, Object> deleteMap) throws Exception;

    void insertAllHisBillOriginal(List<HashMap<Object, Object>> list)throws Exception;

    void insertAllHisBillHistory(List<HashMap<Object, Object>> list) throws Exception;

    void deleteTempTable() throws Exception;

    void findHisDetailToTemp(HashMap<Object, Object> map) throws Exception;

    List<HashMap<Object, Object>> findHisDetailByParam(HashMap<Object, Object> map) throws Exception;

    List<HashMap<Object, Object>> findHisDetailByTimeAndYSDDH(HashMap<Object, Object> map) throws Exception;

    List<HashMap<Object, Object>> findHisDetailFirmNumByTime(HashMap<Object, Object> map) throws Exception;

    List<HashMap<Object, Object>> findHisCashDetail(HashMap<Object, Object> map) throws Exception;

    void deleteHisBillOriginalWNByParam(HashMap<Object, Object> deleteMap) throws Exception;

    void insertAllHisBillOriginalWN(List<HashMap<Object, Object>> addList) throws Exception;

    List<HashMap<Object, Object>> findHisDetailCountData(HashMap<Object, Object> map) throws Exception;

    void deleteHisBillOriginalHYByParam(HashMap<Object, Object> deleteMap) throws Exception;

    void insertAllHisBillOriginalHY(List<HashMap<Object, Object>> addList) throws Exception;
}
